package com.biganto.visual.roompark.presentation.screen.favorites.util

import android.view.View
import butterknife.BindView
import com.biganto.visual.roompark.R
import com.biganto.visual.roompark.domain.model.AlbumPhotoPreviewModel
import com.biganto.visual.roompark.presentation.screen.settings.util.CommonRecyclerAdapter
import com.biganto.visual.roompark.presentation.screen.settings.util.CommonViewHolder
import com.google.android.material.textview.MaterialTextView

/**
 * Created by Vladislav Bogdashkin on 16.10.2019.
 */


    class AlbumListAdapter : CommonRecyclerAdapter<AlbumViewHolder, AlbumPhotoPreviewModel>() {
        override val vhKlazz = AlbumViewHolder::class

        override fun getVhLayout(): Int = R.layout.date_album_viewholder
    }

    class AlbumViewHolder(itemView: View) : CommonViewHolder<AlbumPhotoPreviewModel>(itemView) {

        @BindView(R.id.date_title_textview) lateinit var albumTitle: MaterialTextView
//        @BindView(R.id.camStatus) lateinit var camStatus: MaterialTextView
//        @BindView(R.id.camStatusIcon) lateinit var camStatusIcon:ImageView

        override fun onViewBound(model: AlbumPhotoPreviewModel) {
            albumTitle.text = model.title
//            camTitle.text = model.title
//            camStatus.text = if (model.streams.isNullOrEmpty()) "ОФФЛАЙН" else "ОНЛАЙН"
//            camStatusIcon.visibility = if (model.streams.isNullOrEmpty()) View.GONE else View.VISIBLE
        }
    }
